Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2004:080: shorewall


Vulnerability Assessment Details

MDKSA-2004:080: shorewall

Vulnerability Assessment Summary
Check for the version of the shorewall package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2004:080 (shorewall).


The shorewall package has a vulnerability when creating temporary files and
directories, which could permit non-root users to overwrite arbitrary files on
the system. The updated packages are patched to fix the problem.
As well, for Mandrakelinux 10.0, the updated packages have been fixed to start
shorewall after the network, rather than before.
After updating the package, if shorewall was previously running, you may need to
issue a 'service shorewall restart'.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2004:080
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

IBM Lenovo XSeries X3550 X3650 Server Access Rail Kit 43W4518 43W4519
$17.99
IBM Lenovo XSeries X3550 X3650  Server Access Rail Kit 43W4518 43W4519 picture8GB Server Memory MT72HTS1G72MDY-53EE4B3 IBM 45D1213
$15.99
8GB Server Memory MT72HTS1G72MDY-53EE4B3 IBM 45D1213 pictureIBM System x3550 M4 Server | 2x 1.80GHz Xeon | 32gb DDR3 | DVD-RW
$419.99
IBM System x3550 M4 Server | 2x 1.80GHz Xeon | 32gb DDR3 | DVD-RW pictureIBM MBF2300RC 300GB 2.5" SAS Server HDD
$31.99
IBM MBF2300RC 300GB 2.5


Discussions

No Discussions have been posted on this vulnerability.